Get a Balance Action by ID
get
/balanceAction/{id}
Gets the specified balance action.
Request
Path Parameters
-
id(required): string
The ID of the balance action to get.Example:
0.0.0.1+-event-audit-transfer_balance+3213212
Query Parameters
-
@type(required): string
The type of object to return: TransferBalance, TopupBalance, AdjustBalance, or AdjustBalanceOracle (for an extended object).Example:
TransferBalance -
fields: string
The list of comma-separated fields to return in the response.Example:
impactedBucket,usageType
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json;charset=utf-8
200 Response
The specified balance action was retrieved successfully.
Root Schema : BalanceAction
Type:
objectAn abstract resource for an action, such as adjusting or topping up a balance.
Show Source
-
@baseType: string
The object's superclass.
-
@schemaLocation: string
(uri)
A URI to a JSON schema file that defines additional attributes and relationships.
-
@type(required): string
The object's subclass.
-
amount: object
Quantity
Represents an amount in a specified unit.
-
bucket: object
Bucket Ref
Title:
Bucket RefA reference to a bucket. -
channel: object
ChannelRef
A reference to a channel.
-
confirmationDate: string
(date-time)
The date that the action was confirmed.
-
description: string
The action's description.
-
href: string
The action's href.
-
id: string
The action's ID.
-
impactedBucket: array
impactedBucket
The buckets impacted by the request.
-
logicalResource: object
Logical Resource Ref
Title:
Logical Resource RefA reference to a logical resource. -
partyAccount: object
Party Account Ref
Title:
Party Account RefA reference to a party account. -
product: object
ProductRef
A product reference.
-
reason: string
The reason for the action.
- relatedParty: array relatedParty
-
requestedDate: string
(date-time)
The date that the request for the action was made.
-
requestor: object
Related Party
Title:
Related PartyA party related to another object. -
status: string
The request's status.
-
usageType: string
The action's usage type.
Nested Schema : Quantity
Type:
objectRepresents an amount in a specified unit.
Show Source
-
amount: number
(double)
Default Value:
1The numeric value in the specified unit. -
units: string
The unit.
Nested Schema : Bucket Ref
Type:
objectTitle:
Bucket RefA reference to a bucket.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
(uri)
The bucket's href.
-
id(required): string
Title:
Bucket IDThe bucket's ID. -
name: string
Title:
Bucket NameThe bucket's name. -
usageType: string
The bucket's usage type.
Nested Schema : ChannelRef
Type:
objectA reference to a channel.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
Title:
Channel HrefThe channel's href. -
id(required): string
Title:
Channel IDThe channel's ID. -
name: string
Title:
Channel NameThe channel's name.
Nested Schema : impactedBucket
Type:
arrayThe buckets impacted by the request.
Show Source
-
Array of:
object ImpactedBucket
A bucket impacted by a balance top-up, adjustment, transfer, or reservation.
Nested Schema : Logical Resource Ref
Type:
objectTitle:
Logical Resource RefA reference to a logical resource.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
Title:
HrefThe resource's href. -
id(required): string
Title:
IDThe resource's ID. -
name: string
Title:
NameThe resource's name. -
value: string
The device number(PIN_FLD_ALIAS_LIST) or the login (PIN_FLD_LOGIN).
Nested Schema : Party Account Ref
Type:
objectTitle:
Party Account RefA reference to a party account.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
description: string
Title:
DescriptionThe party account's description. -
href: string
Title:
HrefThe party account's href. -
id(required): string
Title:
Account IDThe party account's ID. -
name: string
Title:
NameThe party account's name. -
status: string
Title:
StatusThe overall status of the account. For example: due, paid, or in arrears.
Nested Schema : ProductRef
Type:
objectA product reference.
Match All
A product reference.
A product reference.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
allOf
EntityRef
Nested Schema : Related Party
Type:
objectTitle:
Related PartyA party related to another object.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType(required): string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
(uri)
Title:
HrefThe party's href. -
id(required): string
Title:
Party IDThe party's ID. -
name: string
Title:
Party NameThe party's name. -
role: string
Title:
Party RoleThe party's role.
Nested Schema : ImpactedBucket
Type:
objectA bucket impacted by a balance top-up, adjustment, transfer, or reservation.
Show Source
-
@baseType: string
The object's superclass.
-
@schemaLocation: string
(uri)
A URI to a JSON schema file that defines additional attributes and relationships.
-
@type: string
The object's subclass.
-
amountAfter: object
Quantity
Represents an amount in a specified unit.
-
amountBefore: object
Quantity
Represents an amount in a specified unit.
-
bucket: object
Bucket Ref
Title:
Bucket RefA reference to a bucket. -
confirmationDate: string
(date-time)
The date and time the impact was confirmed.
-
description: string
The impacted bucket's description.
-
item(required): array
item
Minimum Number of Items:
1The impacted bucket items. -
name: string
The impacted bucket's name.
-
requestedDate: string
(date-time)
The date and time the request was received.
Nested Schema : item
Type:
arrayMinimum Number of Items:
1The impacted bucket items.
Show Source
-
Array of:
object ImpactedBucketItem
An impact item that affects an ImpactedBucket object.
Nested Schema : ImpactedBucketItem
Type:
objectAn impact item that affects an ImpactedBucket object.
Show Source
-
@baseType: string
The object's superclass.
-
@schemaLocation: string
(uri)
A URI to a JSON schema file that defines additional attributes and relationships.
-
@type: string
The object's subclass.
-
amount: object
Quantity
Represents an amount in a specified unit.
-
description: string
The impact item's description.
-
itemType: string
The impact item's type, indicating if the bucket is incremented (credit) or decremented (debit).
-
name: string
The impact item's name indicates the transaction activity, such as a top-up or bonus. additional bonus, tax, or fees.
-
reason: string
The reason for the impact item.
Nested Schema : EntityRef
Match All
Represents an entity reference schema for EntityRef classes.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Addressable
Defines a base schema for addressable entities.
-
object
EntityRef-allOf[2]
Represents an entity reference schema for EntityRef classes.
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Addressable
Type:
objectDefines a base schema for addressable entities.
Show Source
-
href: string
The hyperlink reference.
-
id: string
The ID.
Nested Schema : EntityRef-allOf[2]
Type:
objectRepresents an entity reference schema for EntityRef classes.
Show Source
-
@referredType: string
The actual type of the target instance when needed for disambiguation.
-
href: string
The URI of the referred entity.
-
id(required): string
The identifier of the referred entity.
-
name: string
The referred entity's name.
400 Response
The request isn't valid.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
401 Response
The client doesn't have the correct privileges.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
403 Response
The request wasn't authorized.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
404 Response
The requested resource couldn't be found.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
405 Response
This method is not allowed.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
409 Response
The request could not be processed due to the conflict with the existing state of the resource.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
500 Response
The system encountered an internal error.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
Examples
The following example shows how to get a specific balance action by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.
curl -X GET 'http://host:port/brm/prepayBalanceManagement/version/balanceAction/0.0.0.1+-event-audit-transfer_balance+321321278103898458?@type=TransferBalance'
Response Body
The following example shows the contents of the response body in JSON format.
{
"@baseType": "TransferBalance",
"@schemaLocation": null,
"@type": "TransferBalance",
"amount": {
"amount": 4,
"units": "USD",
"@baseType": "Quantity",
"@schemaLocation": null,
"@type": "Quantity"
},
"bucket": {
"id": "0.0.0.1+-balance_group+292953+840+12",
"href": "http://host:port/brm/prepayBalanceManagement/v4/bucket/0.0.0.1+-balance_group+292953+840+12",
"name": null,
"@baseType": "BucketRef",
"@schemaLocation": null,
"@type": "BucketRef",
"@referredType": null
},
"channel": null,
"confirmationDate": "2025-01-04T23:54:35+05:30",
"costOwner": "originator",
"description": "",
"href": "http://host:port/brm/prepayBalanceManagement/v4/transferBalance/0.0.0.1+-event-audit-transfer_balance+321321278103898458",
"id": "0.0.0.1+-event-audit-transfer_balance+321321278103898458",
"impactedBucket": [
{
"@baseType": "ImpactedBucket",
"@schemaLocation": null,
"@type": "ImpactedBucket",
"amountAfter": null,
"amountBefore": null,
"bucket": {
"id": "0.0.0.1+-balance_group+292953+840+12",
"href": "http://host:port/brm/prepayBalanceManagement/v4/bucket/0.0.0.1+-balance_group+292953+840+12",
"name": null,
"@baseType": "BucketRef",
"@schemaLocation": null,
"@type": "BucketRef",
"@referredType": null
},
"confirmationDate": "2025-01-04T23:54:35+05:30",
"description": null,
"item": [
{
"@baseType": "ImpactedBucketItem",
"@schemaLocation": null,
"@type": "ImpactedBucketItem",
"amount": {
"amount": 2,
"units": "USD",
"@baseType": "Quantity",
"@schemaLocation": null,
"@type": "Quantity"
},
"description": null,
"itemType": "debit",
"name": "transfer cost-originator",
"reason": null
}
],
"name": null,
"requestedDate": "2025-01-04T23:54:35+05:30"
}
],
"logicalResource": {
"@baseType": "LogicalResourceRef",
"@referredType": null,
"@schemaLocation": null,
"@type": "LogicalResourceRef",
"href": null,
"id": null,
"name": null,
"value": "298-20210315-061509-2-93999--155732224-den00qny"
},
"partyAccount": {
"id": "0.0.0.1+-account+293273",
"href": null,
"description": null,
"name": "Adam Baker",
"status": "active",
"@baseType": "PartyAccountRef",
"@schemaLocation": null,
"@type": "PartyAccountRef",
"@referredType": null
},
"product": {
"id": "0.0.0.1+-service-telco-gsm-telephony+292441",
"href": null,
"name": "ServiceTelcoGsmTelephony",
"@baseType": "ProductRef",
"@schemaLocation": null,
"@type": "ProductRef",
"@referredType": null
},
"reason": null,
"receiver": null,
"receiverBucket": {
"id": "0.0.0.1+-balance_group+293048+840+8",
"href": "http://host:port/brm/prepayBalanceManagement/v4/bucket/0.0.0.1+-balance_group+293048+840+8",
"name": null,
"@baseType": "BucketRef",
"@schemaLocation": null,
"@type": "BucketRef",
"@referredType": null
},
"receiverBucketUsageType": null,
"receiverLogicalResource": {
"@baseType": "LogicalResourceRef",
"@referredType": null,
"@schemaLocation": null,
"@type": "LogicalResourceRef",
"href": null,
"id": null,
"name": null,
"value": "007-20210315-061430-0-93999--155732224-den00qny"
},
"receiverPartyAccount": {
"id": "0.0.0.1+-account+293176",
"href": null,
"description": null,
"name": "James Clark",
"status": "active",
"@baseType": "PartyAccountRef",
"@schemaLocation": null,
"@type": "PartyAccountRef",
"@referredType": null
},
"receiverProduct": {
"id": "0.0.0.1+-service-telco-gsm-telephony+292536",
"href": null,
"name": "ServiceTelcoGsmTelephony",
"@baseType": "ProductRef",
"@schemaLocation": null,
"@type": "ProductRef",
"@referredType": null
},
"relatedParty": null,
"requestedDate": "2025-01-04T23:54:35+05:30",
"requestor": null,
"status": "CONFIRMED",
"transferCost": {
"amount": 2,
"units": "USD",
"@baseType": "Quantity",
"@schemaLocation": null,
"@type": "Quantity"
},
"usageType": "monetary"
}